/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2021
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include <memory>

/// implemented
// #include "container/List.h"
// #include "container/Object.h"

/// TODO add forward decl for those as well
// #include "container/Pair.h"
// #include "container/Tuple.h"
// #include "enum/IntEnum.h"
// #include "ndarray/EigenMatrix.h"
// #include "ndarray/EigenQuaternion.h"
// #include "ndarray/IVTCByteImage.h"
// #include "ndarray/NDArray.h"
// #include "ndarray/OpenCVMat.h"
// #include "ndarray/Orientation.h"
// #include "ndarray/PCLPointCloud.h"
// #include "ndarray/Pose.h"
// #include "ndarray/Position.h"
// #include "primitive/Bool.h"
// #include "primitive/Double.h"
// #include "primitive/Float.h"
// #include "primitive/Int.h"
// #include "primitive/Long.h"
// #include "primitive/String.h"
// #include "primitive/Time.h"

namespace armarx::aron::typenavigator
{
    class DictNavigator;
    using DictNavigatorPtr = std::shared_ptr<DictNavigator>;

    class ListNavigator;
    using ListNavigatorPtr = std::shared_ptr<ListNavigator>;

} // namespace armarx::aron::typenavigator
